package com.engine.salary.mapper.siaccount;

import com.engine.salary.entity.siaccount.po.InsuranceCompensationPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface InsuranceCompensationMapper {

    void batchInsert(@Param("collection") Collection<InsuranceCompensationPO> insuranceCompensationPOS);

    void insert(InsuranceCompensationPO insuranceCompensationPO);

    InsuranceCompensationPO getById(Long id);

    List<InsuranceCompensationPO> queryByBillMonthAndPayOrg(@Param("billMonth") String billMonth, @Param("paymentOrganization") Long paymentOrganization);

    InsuranceCompensationPO getOneByBillMonthPayOrgEmpId(InsuranceCompensationPO insuranceCompensationPO);
    List<InsuranceCompensationPO> getListByBillMonthPayOrgEmpId(InsuranceCompensationPO insuranceCompensationPO);

    List<InsuranceCompensationPO> getByBillMonthPayOrgEmpIds(InsuranceCompensationPO insuranceCompensationPO);

    void deleteById(Long id);

    void deleteByBillMonthAndPayOrg(@Param("billMonth") String billMonth, @Param("paymentOrganization") Long paymentOrganization);

    void deleteByBillMonthPayOrgEmpIds(InsuranceCompensationPO insuranceCompensationPO);
}
